.button {
    float: left;
    min-width: 150px;
    max-width: 250px;
    display: block;
    padding: 1em 2em;
    border: none;
    background: none;
    color: inherit;
    vertical-align: middle;
    position: relative;
    z-index: 1;
    -webkit-backface-visibility: hidden;
    -moz-osx-font-smoothing: grayscale;
}
.button:hover {
  cursor: pointer;
}

.button--nanuk {
    padding: 0 2em;
    overflow: hidden;
    background: #0065c3;
    -webkit-transition: background-color 0.3s;
    transition: background-color 0.3s;
}

.button--round-l {
    border-radius: 40px;
}

.button--text-thick {
    font-weight: 600;
}

.button--nanuk {
    padding: 0 2em;
    overflow: hidden;
    background: transparent;
    -webkit-transition: background-color 0.3s;
    transition: background-color 0.3s;
    color: white;
    border: solid;
}
.button--nanuk.button--inverted {
    /*background: #fff;*/
    /*color: #0065c3;*/
    background: transparent;
    color: white;
    border: solid;
}

.button--nanuk.button--inverted:hover {
    /*background: #fff;*/
    /*color: #0065c3;*/
    background: #0065c3;
    border-color: #0065c3;
}

.button--nanuk > span {
    display: inline-block;
    padding: 1em 0;
}
.button--nanuk:hover {
    background: #ffffff;
    border-color: #ffffff;
    color : #ffffff;
}
.button--nanuk:hover > span:nth-child(odd) {
    -webkit-animation: anim-nanuk-1 0.5s forwards;
    animation: anim-nanuk-1 0.5s forwards;
}
.button--nanuk:hover > span:nth-child(even) {
    -webkit-animation: anim-nanuk-2 0.5s forwards;
    animation: anim-nanuk-2 0.5s forwards;
}
.button--nanuk:hover > span:nth-child(odd),
.button--nanuk:hover > span:nth-child(even) {
    -webkit-animation-timing-function: cubic-bezier(0.75, 0, 0.125, 1);
    transition-animation-function: cubic-bezier(0.75, 0, 0.125, 1);
}

@-webkit-keyframes anim-nanuk-1 {
    0%,
    100% {
        opacity: 1;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
    49% {
        opacity: 1;
        -webkit-transform: translate3d(0, 100%, 0);
        transform: translate3d(0, 100%, 0);
    }
    50% {
        opacity: 0;
        -webkit-transform: translate3d(0, 100%, 0);
        transform: translate3d(0, 100%, 0);
        color: inherit;
    }
    51% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
        color: #0065c3;
    }
    100% {
        color: #0065c3;
    }
}
@keyframes anim-nanuk-1 {
    0%,
    100% {
        opacity: 1;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
    49% {
        opacity: 1;
        -webkit-transform: translate3d(0, 100%, 0);
        transform: translate3d(0, 100%, 0);
    }
    50% {
        opacity: 0;
        -webkit-transform: translate3d(0, 100%, 0);
        transform: translate3d(0, 100%, 0);
        color: inherit;
    }
    51% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
        color: #0065c3;
    }
    100% {
        color: #0065c3;
    }
}
@-webkit-keyframes anim-nanuk-2 {
    0%,
    100% {
        opacity: 1;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
    49% {
        opacity: 1;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }
    50% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
        color: inherit;
    }
    51% {
        opacity: 0;
        -webkit-transform: translate3d(0, 100%, 0);
        transform: translate3d(0, 100%, 0);
        color: #0065c3;
    }
    100% {
        color: #0065c3;
    }
}
@keyframes anim-nanuk-2 {
    0%,
    100% {
        opacity: 1;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
    49% {
        opacity: 1;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }
    50% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
        color: inherit;
    }
    51% {
        opacity: 0;
        -webkit-transform: translate3d(0, 100%, 0);
        transform: translate3d(0, 100%, 0);
        color: #0065c3;
    }
    100% {
        color: #0065c3;
    }
}
.button--nanuk:hover > span:nth-child(1) {
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
}
.button--nanuk:hover > span:nth-child(2) {
    -webkit-animation-delay: 0.05s;
    animation-delay: 0.05s;
}
.button--nanuk:hover > span:nth-child(3) {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
}
.button--nanuk:hover > span:nth-child(4) {
    -webkit-animation-delay: 0.15s;
    animation-delay: 0.15s;
}
.button--nanuk:hover > span:nth-child(5) {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}
.button--nanuk:hover > span:nth-child(6) {
    -webkit-animation-delay: 0.25s;
    animation-delay: 0.25s;
}
.button--nanuk:hover > span:nth-child(7) {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
}
.button--nanuk:hover > span:nth-child(8) {
    -webkit-animation-delay: 0.35s;
    animation-delay: 0.35s;
}
.button--nanuk:hover > span:nth-child(9) {
    -webkit-animation-delay: 0.4s;
    animation-delay: 0.4s;
}
.button--nanuk:hover > span:nth-child(10) {
    -webkit-animation-delay: 0.45s;
    animation-delay: 0.45s;
}
.button--nanuk:hover > span:nth-child(11) {
    -webkit-animation-delay: 0.5s;
    animation-delay: 0.5s;
}
.button--nanuk:hover > span:nth-child(12) {
    -webkit-animation-delay: 0.5s;
    animation-delay: 0.5s;
}


